package com.ibiz.core.external.dao;

import com.ibiz.core.external.filter.ORGSearchContext;
import com.ibiz.core.external.dao.po.IORGTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IORGTableDAO {

    IORGTable createOrgTable();

    boolean create(IORGTable et);

    IORGTable get(String orgid);

    IORGTable get(IORGTable et);

    boolean remove(String orgid);

    boolean update(IORGTable et);


    List<IORGTable> searchDefault(ORGSearchContext context);
    List<IORGTable> searchTopOrg(ORGSearchContext context);
    List<IORGTable> searchCurOrg(ORGSearchContext context);
}
